=== debian/changelog ===
xfireworks (1.3-9) unstable; urgency=low

  * update standard version
  * hardening
  * remove linintan warning

 -- Yukiharu YABUKI <yyabuki@debian.org>  Wed, 11 Jul 2012 04:47:02 +0900

xfireworks (1.3-8) unstable; urgency=low

  * converting to source format 3.0 (quilt)

 -- Yukiharu YABUKI <yyabuki@debian.org>  Wed, 07 Apr 2010 15:49:02 +0900

xfireworks (1.3-7) unstable; urgency=low

  * Correct lintian errors
   - remove prerm
  * Disp.c (Disp_Create): Fix a bug, replacing NULL to 0.

 -- Yukiharu YABUKI <yabuki@netfort.gr.jp>  Sun, 14 Jun 2009 23:16:02 +0900

xfireworks (1.3-6) unstable; urgency=low

  * I adopt the package from orphaned list. (closes: #448110).
  * Set DH_COMPAT=5.
   - In copyright file.
   -   correct FSF address.
   -   Point License file.
   -   Change Author(s)(plural) to Author(Singular).
   - In docs file.
   -   Remove INSTALL document in Debian package. Package users don't need it.
   -   Remove NEWS document in Debian package. It is 0 byte.
   - In controle file
   -  set new maintainer name and email.
   -  upgrade standard version 3.7.2 to 3.7.3.
   - In menu file.
   -   Added quote for needs and section.
   - In rules file.
   -   Do not use -$(MAKE). Change [ ! -f Makefile ] || $(MAKE). 
   -   Change working directory 'tmp' to 'xfireworks'.
  * Make debian/compat file.
   - Do not set DH_COMPAT in rules file.

 -- Yukiharu YABUKI <yabuki@netfort.gr.jp>  Sun, 14 Jun 2009 23:10:26 +0900

xfireworks (1.3-5) unstable; urgency=low

  * Orphaned (#448110). Set maintainer to QA Group.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 26 Oct 2007 15:31:44 +0900

xfireworks (1.3-4) unstable; urgency=medium

  * Fix FTBFS of xlibs-dev transition (closes: #346814)

 -- Kenshi Muto <kmuto@debian.org>  Tue, 10 Jan 2006 19:42:28 +0900

xfireworks (1.3-3) unstable; urgency=low

  * Add build-depends. Thanks Daniel (closes: Bug#190624).

 -- Kenshi Muto <kmuto@debian.org>  Fri, 25 Apr 2003 14:10:42 +0900

xfireworks (1.3-2) unstable; urgency=low

  * Remove duplicated manpage from man1 (closes: Bug#83310).
    Thanks, Micha.

 -- Kenshi Muto <kmuto@debian.org>  Fri,  9 Feb 2001 23:36:39 +0900

xfireworks (1.3-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Fri, 18 Aug 2000 18:31:39 +0900

xfireworks (1.1-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Mon, 31 Jul 2000 17:24:22 +0900

xfireworks (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 28 Jul 2000 11:31:18 +0900

Local variables:
mode: debian-changelog
End:
